<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.platform.base (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/platform/base/package-summary.html" target="classFrame">org.gradle.platform.base</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="Application.html" title="interface in org.gradle.platform.base" target="classFrame"><i>Application</i></a></li>
<li><a href="ApplicationBinarySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ApplicationBinarySpec</i></a></li>
<li><a href="ApplicationSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ApplicationSpec</i></a></li>
<li><a href="Binary.html" title="interface in org.gradle.platform.base" target="classFrame"><i>Binary</i></a></li>
<li><a href="BinaryContainer.html" title="interface in org.gradle.platform.base" target="classFrame"><i>BinaryContainer</i></a></li>
<li><a href="BinarySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>BinarySpec</i></a></li>
<li><a href="BinaryTasksCollection.html" title="interface in org.gradle.platform.base" target="classFrame"><i>BinaryTasksCollection</i></a></li>
<li><a href="ComponentSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ComponentSpec</i></a></li>
<li><a href="ComponentSpecContainer.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ComponentSpecContainer</i></a></li>
<li><a href="DependencySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>DependencySpec</i></a></li>
<li><a href="DependencySpecBuilder.html" title="interface in org.gradle.platform.base" target="classFrame"><i>DependencySpecBuilder</i></a></li>
<li><a href="DependencySpecContainer.html" title="interface in org.gradle.platform.base" target="classFrame"><i>DependencySpecContainer</i></a></li>
<li><a href="GeneralComponentSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>GeneralComponentSpec</i></a></li>
<li><a href="Library.html" title="interface in org.gradle.platform.base" target="classFrame"><i>Library</i></a></li>
<li><a href="LibraryBinaryDependencySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>LibraryBinaryDependencySpec</i></a></li>
<li><a href="LibraryBinarySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>LibraryBinarySpec</i></a></li>
<li><a href="LibrarySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>LibrarySpec</i></a></li>
<li><a href="ModuleDependencySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ModuleDependencySpec</i></a></li>
<li><a href="ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ModuleDependencySpecBuilder</i></a></li>
<li><a href="Platform.html" title="interface in org.gradle.platform.base" target="classFrame"><i>Platform</i></a></li>
<li><a href="PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>PlatformAwareComponentSpec</i></a></li>
<li><a href="PlatformContainer.html" title="interface in org.gradle.platform.base" target="classFrame"><i>PlatformContainer</i></a></li>
<li><a href="ProjectDependencySpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ProjectDependencySpec</i></a></li>
<li><a href="ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ProjectDependencySpecBuilder</i></a></li>
<li><a href="SourceComponentSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>SourceComponentSpec</i></a></li>
<li><a href="ToolChain.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ToolChain</i></a></li>
<li><a href="ToolChainRegistry.html" title="interface in org.gradle.platform.base" target="classFrame"><i>ToolChainRegistry</i></a></li>
<li><a href="TransformationFileType.html" title="interface in org.gradle.platform.base" target="classFrame"><i>TransformationFileType</i></a></li>
<li><a href="TypeBuilder.html" title="interface in org.gradle.platform.base" target="classFrame"><i>TypeBuilder</i></a></li>
<li><a href="VariantComponent.html" title="interface in org.gradle.platform.base" target="classFrame"><i>VariantComponent</i></a></li>
<li><a href="VariantComponentSpec.html" title="interface in org.gradle.platform.base" target="classFrame"><i>VariantComponentSpec</i></a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="InvalidModelException.html" title="class in org.gradle.platform.base" target="classFrame">InvalidModelException</a></li>
<li><a href="ModelInstantiationException.html" title="class in org.gradle.platform.base" target="classFrame">ModelInstantiationException</a></li>
</ul>
<h2 title="Annotation Types">Annotation Types</h2>
<ul title="Annotation Types">
<li><a href="BinaryTasks.html" title="annotation in org.gradle.platform.base" target="classFrame">BinaryTasks</a></li>
<li><a href="ComponentBinaries.html" title="annotation in org.gradle.platform.base" target="classFrame">ComponentBinaries</a></li>
<li><a href="ComponentType.html" title="annotation in org.gradle.platform.base" target="classFrame">ComponentType</a></li>
<li><a href="Variant.html" title="annotation in org.gradle.platform.base" target="classFrame">Variant</a></li>
</ul>
</div>
</body>
</html>
